
package jp.riken.brain.ni.samuraigraph.base;

/**
 * An interface for the zoomable objects.
 *
 */
public interface SGIZoomable
{

	/**
	 * Zoom the object.
	 * @param mag - Ratio scale.
	 * @return
	 */
	public boolean zoom( final float mag );


	/**
	 * 
	 * @param b
	 */
	public void setAutoZoom( final boolean b );

}

